package com.rjconsultores.ventaboletos.web.gui.controladores.tarifas;

import java.util.ArrayList;
import java.util.List;

import org.zkoss.util.resource.Labels;

public enum EnumTipoCancelVendaPacote {

	CANCELAMENTO_VENDA(Labels.getLabel("busquedaMotivoCancelVendaPacoteController.lhCancelacionVenta.label")), NOTA_CREDITO(Labels.getLabel("busquedaMotivoCancelVendaPacoteController.lhNotaCredito.label")), REEMBOLSO(Labels.getLabel("busquedaMotivoCancelVendaPacoteController.lhReembolso.label")), CANCELAMENTO_RESERVA(Labels.getLabel("busquedaMotivoCancelVendaPacoteController.lhCancelacionReserva.label"));

	private String descricao;

	private EnumTipoCancelVendaPacote(String descricao) {
		this.descricao = descricao;
	}

	public String getDescricao() {
		return descricao;
	}

	public void setDescricao(String descricao) {
		this.descricao = descricao;
	}

	public static List<String> obterBundleValues() {
		List<String> lst = new ArrayList<String>();
		lst.add(EnumTipoCancelVendaPacote.CANCELAMENTO_VENDA.getDescricao());
		lst.add(EnumTipoCancelVendaPacote.NOTA_CREDITO.getDescricao());
		lst.add(EnumTipoCancelVendaPacote.REEMBOLSO.getDescricao());
		lst.add(EnumTipoCancelVendaPacote.CANCELAMENTO_RESERVA.getDescricao());

		return lst;
	}

	public static EnumTipoCancelVendaPacote obterEnumPorDescricao(String descricao) {
		if (descricao != null) {
			if (descricao.equals(EnumTipoCancelVendaPacote.CANCELAMENTO_VENDA.descricao)) {
				return EnumTipoCancelVendaPacote.CANCELAMENTO_VENDA;
			} else if (descricao.equals(EnumTipoCancelVendaPacote.NOTA_CREDITO.descricao)) {
				return EnumTipoCancelVendaPacote.NOTA_CREDITO;
			} else if (descricao.equals(EnumTipoCancelVendaPacote.REEMBOLSO.descricao)) {
				return EnumTipoCancelVendaPacote.REEMBOLSO;
			} else if (descricao.equals(EnumTipoCancelVendaPacote.CANCELAMENTO_RESERVA.descricao)) {
				return EnumTipoCancelVendaPacote.CANCELAMENTO_RESERVA;
			}
		}
		return null;
	}

}